### Virtual Method

# Template TemplateLocator locate

#### Declaration

    GInputStream*
    locate (
      TmplTemplateLocator* self,
      const gchar* path,
      GError** error
    )

#### Description

This will resolve the relative path using the search paths found within the template loader.

#### Parameters

`path`

  Type: `const gchar*`

  A relative path to the file.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GInputStream`

A `GInputStream` or `NULL` and `error` is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.